%define	name		subtitleripper
%define	version		0.6.14
%define rel		0.%cvs.3
%define distsuffix plf
%define release %mkrel %rel
%define cvs		20051106
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DVD Subtitle Ripper for Linux
License: 	GPL
Group: 		Video
Url:		http://subtitleripper.sourceforge.net/
Source:		%name-%cvs.tar.bz2
Patch:		subtitleripper-20051106-netpbm10.patch.bz2
Epoch: 1
Requires:	transcode
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libnetpbm-devel libpng-devel

%description
If you want to convert DVD subtitles into text format (e.g. subrip
format) this program could be useful for you. However, it is only one
tiny tool that you need in the process.
The output of this program should be processed by some OCR software.

This package is in PLF as it depends on transcode.

%prep
%setup -q -n %name
%if %mdkversion >= 1020
%patch -p1 -b .netpbm
%endif

%build
cd src
export CFLAGS=$RPM_OPT_FLAGS
%make all
perl -pi -e 's|PATH_TO_LANGUAGE_FILTER=.*|PATH_TO_LANGUAGE_FILTER=%{_datadir}/subtitleripper|' pgm2txt

%install
rm -rf %buildroot
cd src
mkdir -p %buildroot%_bindir
install -m 755 subtitle2vobsub srttool subtitle2pgm pgm2txt vobsub2pgm %buildroot/%_bindir
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/subtitleripper
install -m 644 *.sed $RPM_BUILD_ROOT%{_datadir}/subtitleripper

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc src/README* src/ChangeLog techdoc/spuformat.tex
%_bindir/subtitle2vobsub
%_bindir/srttool
%_bindir/subtitle2pgm
%_bindir/pgm2txt
%_bindir/vobsub2pgm
%{_datadir}/subtitleripper

%changelog
* Mon Jan 14 2008 Gtz Waschk <goetz@zarb.org> 0.6.14-0.20051106.3plf2008.1
- add missing program vobsub2pgm (bug #188)

* Mon Aug 28 2006 Gtz Waschk <goetz@zarb.org> 0.6.14-0.20051106.2plf2007.0
- rebuild

* Sun Nov  6 2005 Gtz Waschk <goetz@zarb.org> 1:0.6.14-0.20051106.1plf
- update the patch
- new snapshot

* Sat Dec 18 2004 Gtz Waschk <goetz@zarb.org> 0.6.14-0.20040905.2plf
- patch for new libnetpbm

* Wed Nov 17 2004 Gtz Waschk <goetz@zarb.org> 0.6.14-0.20040905.1plf
- split out again as separate package 

* Thu Sep  9 2004 Gtz Waschk <goetz@zarb.org> 0.6.12-9plf
- reenable libdv on Cooker with patch from Couriousous

* Thu Jul 29 2004 Gtz Waschk <goetz@zarb.org> 0.6.12-8plf
- rebuild for new ImageMagick

* Mon Jul 19 2004 Gtz Waschk <goetz@plf.zarb.org> 0.6.12-7plf
- fix filter_preview installation
- disable libdv support on Cooker
- rebuild for new ImageMagick

* Tue Jun 15 2004 Gtz Waschk <goetz@plf.zarb.org> 0.6.12-6plf
- fix gcc 3.4 build

* Thu Jun  3 2004 Gtz Waschk <goetz@plf.zarb.org> 0.6.12-5plf
- fix description
- new ImageMagick

* Fri Apr  2 2004 Gtz Waschk <goetz@plf.zarb.org> 0.6.12-4plf
- enable theora
- new dv

* Sun Feb 29 2004 Gtz Waschk <goetz@plf.zarb.org> 0.6.12-3plf
- list all plugins in the spec file
- fix imagemagick build

* Wed Feb 11 2004 Gtz Waschk <goetz@plf.zarb.org> 0.6.12-2plf
- add pvm switch
- new libfame

* Sun Jan 11 2004 Gtz Waschk <goetz@plf.zarb.org> 0.6.12-1plf
- configure libxvid4 as default xvid version
- remove special CFLAGS, not needed anymore
- new version

* Tue Jan  6 2004 Gtz Waschk <goetz@plf.zarb.org> 0.6.11-2plf
- fix docs section
- fix rpmlint problems
- fix cooker build

* Sun Nov 16 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.11-1plf
- don't libtoolize
- add tcrequant
- disable pvm for now
- fix buildrequires
- fix build with newer libpostproc
- new version

* Thu Sep 11 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.10-2plf
- add new binary
- enable PVM

* Tue Sep  9 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.10-1plf
- add new file
- drop patch
- fix buildrequires
- new version

* Sun Aug 10 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.9-1plf
- fix installation
- update package description
- drop patch1
- new version

* Fri Aug  8 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.8-3plf
- new ImageMagick

* Mon Jul 21 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.8-2plf
- patch to fix location of the avifile headers

* Tue Jul  8 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.8-1plf
- add the new binary aviindex
- new version

* Mon Jun  2 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.7-1plf
- drop merged patch
- new version

* Fri May 23 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.6-2plf
- enforce the right libdv version
- add a patch for lame mp3 encoding from the dvd::rip list

* Thu May 22 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.6-1plf
- enable freetype support
- new version

* Mon May 12 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.5-0.20030510.1plf
- drop obsolete patch0
- new snapshot

* Mon May  5 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.4-1plf
- rediff patch 0
- new version

* Fri Apr 11 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030409.2plf
- small install fix for Mandrake 9.0

* Thu Apr 10 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030409.1plf
- update the file list
- build with libfame0.9
- rediff patch 0
- new versions

* Wed Apr  9 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030318.2plf
- build with the new dvdread version

* Wed Mar 19 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030318.1plf
- patch xvidcvs module to dlopen our libxvidcore.so.3
- new snapshot

* Wed Mar 12 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030311.1plf
- drop patch 1
- new snapshot

* Thu Feb 13 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.3-3plf
- enable quicktime support

* Fri Feb  7 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.3-2plf
- add patch from dvd::rip for applying filters in pause mode

* Fri Jan 31 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.3-1plf
- add missing libxpm4-devel buildrequires (thanks Charles A Edwards)
- drop merged patch1
- 0.6.3 final

* Wed Jan 29 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030123.3plf
- rebuild for new ImageMagick

* Wed Jan 29 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030123.2plf
- patch to fix a problem with hackVideo-DVDRip

* Fri Jan 24 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030123.1plf
- ad tcmodinfo to file list
- reenable avifile support
- new prerelease

* Wed Jan 22 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030116.2plf
- disable avifile support

* Mon Jan 20 2003 Gtz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030116.1plf
- fix build on 9.0
- new version

* Fri Jan 10 2003 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20030109.2plf
- remove conflict with libffmpeg, replaced by a patch

* Fri Jan 10 2003 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20030109.1plf
- new cvs snapshot

* Tue Jan  7 2003 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20021219.3plf
- rebuild against latest libMagick 

* Sun Jan  5 2003 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20021219.2plf
- rebuild with the right libMagick version from Cooker (5.5.2)

* Sun Dec 29 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20021219.1plf
- new version (bugfix)

* Sat Dec 21 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-3plf
- disable external libavcodec

* Wed Dec 11 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-2plf
- really disable libmpeg3 
- fix buildrequires

* Sun Nov 24 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-1plf
- 0.6.2 final

* Tue Nov 19 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021114.3plf
- merge subtitleripper package

* Mon Nov 18 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021114.2plf
- build with mplayer postproc library

* Mon Nov 18 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021114.1plf
- remove unpackaged docs
- new snapshot

* Mon Oct 28 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021024.1plf
- buildrequires liblzo-devel 
- new snapshot

* Tue Oct 22 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.1-2plf
- build with mjpegtools 1.6.0

* Mon Sep 23 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.1-1plf
- drop the patch
- 0.6.1

* Mon Sep  9 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.0-4plf
- back to libfame0.8, as 0.9 seems to cause crashes
- buildrequires libffmpeg-devel

* Tue Sep  3 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.6.0-3plf
- buildrequire libfame0.9-devel for now
- disable libmpeg3, obsolete
- don't buildrequire openquicktime, doesn't work

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.6.0-2plf
- Rebuild with gcc3.2

* Sat Aug 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-1plf
- 0.6.0 final 

* Tue Jul 16 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020711.1plf
- 0.6.0rc3

* Mon Jun 24 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020620.1plf
- 0.6.0rc2
- buildrequires nasm >= 0.98 (Han <han@mijncomputer.nl>)

* Fri Jun 14 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020613.1plf
- 0.6.0rc1
- dropped patch0

* Thu Jun 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020529.2plf
- rebuild with libfame 0.9

* Thu Jun 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020529.1plf
- 0.6.0pre6-20020529
- fixed doc

* Thu May 16 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020516.1plf
- 0.6.0pre5

* Wed May 15 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020514.1plf
- 0.6.0pre5-20020514

* Tue May 14 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020513.1plf
- 0.6.0pre5-20020513
- build with gcc3.1
- various upgrades (Gtz Waschk <waschk@informatik.uni-rostock.de)
 - autoconf 2.5 macro
 - libfame support
 - libmpeg3 support

* Mon May 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020503.2plf
- various upgrades (Gtz Waschk <waschk@informatik.uni-rostock.de)
 - divx5 patch
 - enabled runtime optimisations 

* Fri May 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020503.1plf
- 0.6.0pre5-20020503
- simpler release scheme

* Tue Apr 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.0.pre5.20020426.1plf
- 0.6.0pre5-20020426
- correct invalid $RPM_BUILD_ROOT references in .la files

* Thu Apr 18 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.4plf
- various upgrades (Gtz Waschk <waschk@informatik.uni-rostock.de)
 - patched internal dvdread to use current libdvdcss
 - buildrequires libmp3lame-devel
 - buildrequires nasm = 0.98
 - no more buildrequires ffmpeg
- corrected changelog (Thierry Vignaud <tvignaud@mandrakesoft.com>)
- buildrequires libdv-devel = 0.9, not libdv-compat

* Mon Apr 15 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.3plf
- buildrequires ffmpeg,libopenquicktime-devel,libmjpegtools-devel,libdv-compat-devel,nasm,liba52dec-devel
- liba52 as defaut encode
- disable mmx and sse optimisations (we have to run out of the box on any pentium class host)

* Mon Apr 01 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.2plf
- added missing doc files
- spec cleanup

* Wed Mar 27 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.1plf
- 0.6.0pre4
- buildrequires freetype2-devel
- added missing la files

* Sun Mar 10 2002 Yves Duret <yduret@mandrakesoft.com> 0.6.0-0.pre3.1mdk
- first mandrake version

* Wed Jul 11 2001 Thomas streich
- update to transcode v0.3.3
- small changes suggested by VM

* Tue Jul 10 2001 Thomas streich
- update to transcode v0.3.2
- added pkgdir in install section

* Tue Jul 10 2001 Volker Moell <moell@gmx.de>
- Wrote this specfile; first build
